Package com.verisign.epp.interfaces

## Class EPPNameWatchTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.interfaces.EPPNameWatchTst

- All Implemented Interfaces:
    `junit.framework.Test`

      public class EPPNameWatchTst
      extends junit.framework.TestCase

  Is a unit test of the `EPPNameWatch` class. The unit test will initialize a session with an EPP Server, will invoke `EPPNameWatch` operations, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
  java com.verisign.epp.interfaces.EPPNameWatchTst -Dthreads=2 ../../epp.config
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPNameWatchTst​(java.lang.String name)` | Allocates an `EPPNameWatchTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `static void` | `main​(java.lang.String[] args)` | Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `void` | `nameWatchCreate()` | Unit test of `EPPNameWatch.sendCreate`.
    `void` | `nameWatchDelete()` | Unit test of `EPPNameWatch.sendDelete`.
    `void` | `nameWatchInfo()` | Unit test of `EPPNameWatch.sendInfo`.
    `void` | `nameWatchRenew()` | Unit test of `EPPNameWatch.sendRenew`.
    `void` | `nameWatchTransfer()` | Unit test of `EPPNameWatch.sendTransfer` for a transfer query.
    `void` | `nameWatchTransferQuery()` | Unit test of `EPPNameWatch.sendTransfer` for a transfer query.
    `void` | `nameWatchUpdate()` | Unit test of `EPPNameWatch.sendUpdate`.
    `protected void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `static junit.framework.Test` | `suite()` | JUNIT `suite` static method, which returns the tests associated with `EPPNameWatchTst`.
    `protected void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testNameWatch()` | JUNIT test method to implement the `EPPNameWatchTst TestCase`.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPNameWatchTst

          public EPPNameWatchTst​(java.lang.String name)

      Allocates an `EPPNameWatchTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### testNameWatch

          public void testNameWatch()

      JUNIT test method to implement the `EPPNameWatchTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPNameWatch interface.

    - #### nameWatchInfo

          public void nameWatchInfo()

      Unit test of `EPPNameWatch.sendInfo`.

    - #### nameWatchCreate

          public void nameWatchCreate()

      Unit test of `EPPNameWatch.sendCreate`.

    - #### nameWatchDelete

          public void nameWatchDelete()

      Unit test of `EPPNameWatch.sendDelete`.

    - #### nameWatchRenew

          public void nameWatchRenew()

      Unit test of `EPPNameWatch.sendRenew`.

    - #### nameWatchUpdate

          public void nameWatchUpdate()

      Unit test of `EPPNameWatch.sendUpdate`.

    - #### nameWatchTransferQuery

          public void nameWatchTransferQuery()

      Unit test of `EPPNameWatch.sendTransfer` for a transfer query.

    - #### nameWatchTransfer

          public void nameWatchTransfer()

      Unit test of `EPPNameWatch.sendTransfer` for a transfer query.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPNameWatchTst`.
      Returns:
        Test to execute

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error : <Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error : <Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### main

          public static void main​(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - Command line arguments